      SUBROUTINE STR$UPCASE ( A, B )
      CHARACTER *(*) A, B
      INTEGER *4 I, K
      K = LEN(A)
      DO 100 I = 1, K
          IF ( ( A(I:I) .LE. 'z' ) .AND. ( A(I:I) .GE. 'a' ) ) THEN
              B(I:I) = CHAR( ICHAR ( A(I:I) ) - 32 )
          ELSE
              B(I:I) = A(I:I)
          END IF
  100 CONTINUE
      RETURN
      END
C
